## org.hibernate.impl
Class NonFlushedChangesImpl

    java.lang.Object
      org.hibernate.impl.NonFlushedChangesImpl

All Implemented Interfaces:
  Serializable, NonFlushedChanges

    public final class NonFlushedChangesImpl

extends Object
implements NonFlushedChanges

See Also:
  Serialized Form

Constructor Summary
`NonFlushedChangesImpl(EventSource session)`

Method Summary
`void` `clear()` Remove the non-flushed changes from this NonFlushedChanges object.
`void` `extractFromSession(EventSource session)` Extracts the non-flushed Changes from an EventSource into this NonFlushedChanges object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonFlushedChangesImpl

    public NonFlushedChangesImpl(EventSource session)

Method Detail

### extractFromSession

    public void extractFromSession(EventSource session)

  Description copied from interface: `NonFlushedChanges`
  Extracts the non-flushed Changes from an EventSource into this NonFlushedChanges object.

  Specified by:
    `extractFromSession` in interface `NonFlushedChanges`

### clear

    public void clear()

  Description copied from interface: `NonFlushedChanges`
  Remove the non-flushed changes from this NonFlushedChanges object.

  Specified by:
    `clear` in interface `NonFlushedChanges`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.